Bug 1353269 - Support sending http 451 status code from RewriteRule
Summary: Support sending http 451 status code from RewriteRule
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: httpd
Version: 7.4
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: rc
: ---
Assignee: Web Stack Team
QA Contact: Martin Frodl
URL:
Whiteboard:
Depends On: 1343582
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-06 16:52 UTC by Tom Lavigne
Modified: 2019-11-14 08:36 UTC (History)
6 users (show)

Fixed In Version: httpd-2.4.6-40.el7_2.3
Doc Type: Bug Fix
Doc Text:
The HTTP status code 451 "Unavailable For Legal Reasons" was not usable in the httpd configuration. As a consequence, modules such as mod_rewrite could not be configured to return a 451 error if required for legal purposes. The 451 status code has been added to the list of available error codes, and modules can now be configured to return a 451 error if required.
Clone Of: 1343582
Environment:
Last Closed: 2016-07-18 16:50:38 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Apache Bugzilla 58985 None None None 2016-07-06 16:52:43 UTC
Red Hat Product Errata RHSA-2016:1422 normal SHIPPED_LIVE Important: httpd security and bug fix update 2016-07-18 20:50:15 UTC

Description Tom Lavigne 2016-07-06 16:52:38 UTC
This bug has been copied from bug #1343582 and has been proposed
to be backported to 7.2 z-stream (EUS).

Comment 8 errata-xmlrpc 2016-07-18 16:50:38 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2016:1422


Note You need to log in before you can comment on or make changes to this bug.